Page 1 of 1

Leopard Issues with 0.2 - Resolved

Posted: Sat Oct 27, 2007 10:08 pm
by mrobe57
SInce upgrading to leopard play 0.2 will no longer launch.....Anybody have any ideas

Thanks

Re: Leopard

Posted: Sat Oct 27, 2007 11:34 pm
by sbooth
It's going to take me a bit of work to get Play working on Leopard, unfortunately. I'll post any progress updates here.

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 8:52 pm
by sbooth
I have hopefully fixed all the problems with Play to get it working on Leopard, and I've uploaded r1042 with the changes. Everything should still work with Tiger, but unfortunately I no longer have a Tiger system for testing so I can't be sure.

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 9:48 pm
by jdc0730
I am getting the following error with the new build

Code: Select all

The SQL Statement for "select_stream_by_url" could not be prepared/

The SQLite error was: no such column: frame_count
Console log:

Code: Select all

10/28/07 5:50:20 PM Play[2210] *** Assertion failure in -[PlaylistManager fetchPlaylists], /Users/me/Development/Play-svn/Database/PlaylistManager.m:522 
10/28/07 5:50:20 PM Play[2210] Not connected to database 
Any advice?

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 10:05 pm
by mrobe57
Getting Same error message as jdc0730.

Thanks

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 10:08 pm
by sbooth
Yes, as this post explains you'll need to delete or rename the ~/Application Support/Play/Library.sql file to use the current unstable builds.

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 10:28 pm
by RonaldPR
r1042 crashes in Tiger on Intel:

Host Name: MacKanjer4
Date/Time: 2007-10-28 23:23:52.796 +0100
OS Version: 10.4.10 (Build 8R4031)
Report Version: 4

Command: Play
Path: /Users/ronald/Applications/Play/Play.app/Contents/MacOS/Play
Parent: WindowServer [65]

Version: 0.2 (1042)

PID: 324
Thread: Unknown

Link (dyld) error:

Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /Users/ronald/Applications/Play/Play.app/Contents/MacOS/Play
Reason: image not found

Re: Leopard Issues with 0.2 - Resolved

Posted: Sun Oct 28, 2007 10:35 pm
by RonaldPR
I have in my 10.4.10 installation
/usr/lib/libcurl.2.dylib
/usr/lib/libcurl.3.0.0.dylib
/usr/lib/libcurl.3.dylib
/usr/lib/libcurl.dylib
but no
/usr/lib/libcurl.4.dylib

Re: Leopard Issues with 0.2 - Resolved

Posted: Tue Oct 30, 2007 2:15 pm
by stamfar
yeah r1042 just bumps once for me in the dock and then dies..
I´m on 10.4.10., don´t know if there is any info/logs i could send..?
I upgraded from 0.2 stable because it was using 16-17%cpu when idle on my MB, something I cant remember the the older builds did..
I could send some info on this also if it´s of any interest.

Re: Leopard Issues with 0.2 - Resolved

Posted: Wed Nov 14, 2007 8:56 am
by giggybrown
Hi all.

First off, thanks to the developer for this program. Just downloaded it in Leopard, doesn't open. One bounce on the dock only. Any help? G.

Re: Leopard Issues with 0.2 - Resolved

Posted: Wed Nov 14, 2007 3:46 pm
by sbooth
giggybrown wrote:First off, thanks to the developer for this program. Just downloaded it in Leopard, doesn't open. One bounce on the dock only. Any help? G.
Did you download the unstable version?

Re: Leopard Issues with 0.2 - Resolved

Posted: Wed Nov 14, 2007 4:13 pm
by giggybrown
Yes I did, but being an ignorant newb I interpreted unstable as bad. Is it fine?

Re: Leopard Issues with 0.2 - Resolved

Posted: Wed Nov 14, 2007 6:26 pm
by sbooth
giggybrown wrote:Yes I did, but being an ignorant newb I interpreted unstable as bad. Is it fine?
Generally I try to post only builds that are in fairly good working order unless I need feedback or testing on a specific feature. I call them unstable because they do not yet contain all the features I have in mind for the next release. The current unstable build is essentially RC1 for Play 0.3, and I consider it as stable as the 0.2 release.

Are the launching problems you are having occurring with the unstable build?

Re: Leopard Issues with 0.2 - Resolved

Posted: Wed Nov 14, 2007 7:02 pm
by giggybrown
No, loading seems fine with the unstable version, although I need help figuring out how to use Play (see help forum post). I guess unstable really just means incomplete then huh? Interesting.

Re: Leopard Issues with 0.2 - Resolved

Posted: Sat Apr 05, 2008 10:13 pm
by zathar
I tried both the stable and unstable versions under Leopard... Both wouldn't start at all. The problem is that 'Play' binary doesn't have the executable bit set... Fix it by running 'chmod +x /Applications/Play.app/Contents/MacOS/Play' in the terminal.

I also had the problem with corrupted libcurl in the instalation, I'd get the following error:

dyld: Library not loaded: @executable_path/../Frameworks/libcurl.framework/libcurl
Referenced from: /Applications/Play.app/Contents/MacOS/Play
Reason: no suitable image found. Did find:
/Applications/Play.app/Contents/MacOS/../Frameworks/libcurl.framework/libcurl: file too short
/Applications/Play.app/Contents/MacOS/../Frameworks/libcurl.framework/libcurl: unknown file type, first eight bytes: 0x00 0x10 0x00 0x00 0xEB 0x57 0xE0 0x8F


A simple fix is (in the terminal):

cd /Applications/Play.app/Contents/Frameworks/libcurl.framework
rm libcurl
ln -s /usr/lib/libcurl.4.dylib libcurl